﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLLINE]') AND name = N'key2')
BEGIN 
PRINT 'Creating index key2 on table DLLINE'
CREATE UNIQUE NONCLUSTERED INDEX [key2] ON [dbo].[DLLINE] 
(
	[RTI] ASC,
	[DATE1] ASC,
	[TILL] ASC,
	[TRAN] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLLINE]') AND name = N'XDLLINE1')
BEGIN 
PRINT 'Creating index XDLLINE1 on table DLLINE'
CREATE UNIQUE NONCLUSTERED INDEX [XDLLINE1] ON [dbo].[DLLINE] 
(
	[DATE1] ASC,
	[SKUN] ASC,
	[TILL] ASC,
	[TRAN] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLLINE' AND COLUMN_NAME = 'IBAR' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLLINE_IBAR')
BEGIN 
    PRINT 'Creating default constraint DF_DLLINE_IBAR on table DLLINE' 
    ALTER TABLE [dbo].[DLLINE]
    ADD CONSTRAINT [DF_DLLINE_IBAR] DEFAULT ((0)) FOR [IBAR]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLLINE' AND COLUMN_NAME = 'RITM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLLINE_RITM')
BEGIN 
    PRINT 'Creating default constraint DF_DLLINE_RITM on table DLLINE' 
    ALTER TABLE [dbo].[DLLINE]
    ADD CONSTRAINT [DF_DLLINE_RITM] DEFAULT ((0)) FOR [RITM]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLLINE' AND COLUMN_NAME = 'PORC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLLINE_PORC')
BEGIN 
    PRINT 'Creating default constraint DF_DLLINE_PORC on table DLLINE' 
    ALTER TABLE [dbo].[DLLINE]
    ADD CONSTRAINT [DF_DLLINE_PORC] DEFAULT ((0)) FOR [PORC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLLINE' AND COLUMN_NAME = 'ITAG' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLLINE_ITAG')
BEGIN 
    PRINT 'Creating default constraint DF_DLLINE_ITAG on table DLLINE' 
    ALTER TABLE [dbo].[DLLINE]
    ADD CONSTRAINT [DF_DLLINE_ITAG] DEFAULT ((0)) FOR [ITAG]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLLINE' AND COLUMN_NAME = 'CATA' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLLINE_CATA')
BEGIN 
    PRINT 'Creating default constraint DF_DLLINE_CATA on table DLLINE' 
    ALTER TABLE [dbo].[DLLINE]
    ADD CONSTRAINT [DF_DLLINE_CATA] DEFAULT ((0)) FOR [CATA]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLLINE' AND COLUMN_NAME = 'LREV' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLLINE_LREV')
BEGIN 
    PRINT 'Creating default constraint DF_DLLINE_LREV on table DLLINE' 
    ALTER TABLE [dbo].[DLLINE]
    ADD CONSTRAINT [DF_DLLINE_LREV] DEFAULT ((0)) FOR [LREV]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLLINE' AND COLUMN_NAME = 'IMDN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLLINE_IMDN')
BEGIN 
    PRINT 'Creating default constraint DF_DLLINE_IMDN on table DLLINE' 
    ALTER TABLE [dbo].[DLLINE]
    ADD CONSTRAINT [DF_DLLINE_IMDN] DEFAULT ((0)) FOR [IMDN]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLLINE' AND COLUMN_NAME = 'BDCOInd' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLLINE_BDCOInd')
BEGIN 
    PRINT 'Creating default constraint DF_DLLINE_BDCOInd on table DLLINE' 
    ALTER TABLE [dbo].[DLLINE]
    ADD CONSTRAINT [DF_DLLINE_BDCOInd] DEFAULT ((0)) FOR [BDCOInd]
END 
GO

